Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Regular Contributor
mazmellow
Posts: 77
Registered: ‎01-27-2010
My Device: Dev Alpha
My Carrier: Verizon
Accepted Solution

Problem about create project

Hi everyone :smileywink: ,

 

I use Eclipse IDE 3.6 Helios and BB plug-in "BlackBerry_JDE_PluginFull_1.1.2.201004161203-16.exe" for develop application but when I create or import demo projects, I found a red error at the "BlackBerry_App_Descriptor.xml" files. So, I look at "Problems tab" at the bottom and it writes ..

 

" InvalidRegex: Pattern value '([a-zA-Z_]{1,63}[\s-a-zA-Z_0-9.]{0,63}[;]?)*' is not a valid regular expression. The reported error was: ''-' is an invalid character range. Write '\-'.' at column '19'. "

 

so what should I resolve this problem?   I'm newbie in developing BB app. :smileysad:

 

Thx,

Maz

Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: Problem about create project

Technically Eclipse 3.6 is not supported. I don't know if this is the cause but it is recommend to use 3.5 instead of 3.6.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Regular Contributor
mazmellow
Posts: 77
Registered: ‎01-27-2010
My Device: Dev Alpha
My Carrier: Verizon

Re: Problem about create project

Thx for reply, rcmaniac

 

Now, I've change to 3.5 but it still has same problem  :smileysad::smileysad:

 

Thx,

Maz

Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: Problem about create project

Did you create a BlackBerry project or a Java project?

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.
Regular Contributor
mazmellow
Posts: 77
Registered: ‎01-27-2010
My Device: Dev Alpha
My Carrier: Verizon

Re: Problem about create project

Thx rcmaniac,

 

I've create only BB project. But now I change Eclipse to 3.4 and BB JDE plug-in is "BlackBerry_JDE_PluginFull_1.0.0.67.exe" ( an old version that is supported only for 3.4, I think :smileyindifferent:). So, I can create BB project without error !! :smileyvery-happy: ( because no  "BlackBerry_App_Descriptor.xml" file when I create project in this version )

 

Thx,

Maz

Please use plain text.
Developer
rcmaniac25
Posts: 1,804
Registered: ‎04-28-2009
My Device: Z10 (STL100-4)-10.2.1.2174, Z10 (STL100-3)-10.3.0.700 Dev OS, Z30 (STA100-5)-10.3.0.700 Dev OS, PlayBook (16GB)-2.1.0.1917
My Carrier: Verizon

Re: Problem about create project

That's weird but at least you got it working. The only problem I see you having is that API 6.0 (and maybe 5.0) are only supported with the newer plugin (which requires Eclipse 3.5). Also the newer plugin has the hot-swap feature support in the simulators.

---Spends time in #blackberrydev on freenode (IRC)----
Three simple rules:
1. Please use the search bar before making new posts.
2. "Like" posts that you find helpful.
3. If a solution has been found for your post, mark it as solved.
--I code too much. Well, too bad.
Please use plain text.